Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.system
Class ServiceCreator

    java.lang.Object
      org.jboss.system.ServiceCreator

public class ServiceCreator
extends Object

A helper class for the controller.

Version:
  $Revision: 1.19 $
Author:
  Marc Fleury, David Jencks
See Also:
  `Service`

Constructor Summary
`ServiceCreator(javax.management.MBeanServer server)`

Method Summary
`javax.management.ObjectInstance` | `install(javax.management.ObjectName mbeanName, javax.management.ObjectName loaderName, Element mbeanElement)` Parses the given configuration document and creates MBean instances in the current MBean server.
`void` | `remove(javax.management.ObjectName name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceCreator

    public ServiceCreator(javax.management.MBeanServer server)

Method Detail

### install

    public javax.management.ObjectInstance install(javax.management.ObjectName mbeanName,
                                                   javax.management.ObjectName loaderName,
                                                   Element mbeanElement)
                                            throws Exception

  Parses the given configuration document and creates MBean instances in the current MBean server.

  Throws:
    `ConfigurationException` - The configuration document contains invalid or missing syntax.
    `Exception` - Failed for some other reason.

### remove

    public void remove(javax.management.ObjectName name)
                throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.